<div class="container h-100" style="background: #f8f9fa">
  <div
    class="row justify-content-center align-items-center"
    style="min-height: 100vh"
  >
    <div class="col-md-6 bg-white p-5 rounded shadow">
      <h2 class="text-center mb-4">Iniciar sesión</h2>
      <form [formGroup]="loginForm" (ngSubmit)="onSubmit()">
        <div class="form-group">
          <label for="username">Nombre de usuario</label>
          <input
            type="text"
            class="form-control"
            id="username"
            formControlName="username"
            required
          />
        </div>
        <div class="form-group mt-4">
          <label for="password">Contraseña</label>
          <input
            type="password"
            class="form-control"
            id="password"
            formControlName="password"
            required
          />
        </div>
        <button
          type="submit"
          class="btn btn-primary mt-4"
          [disabled]="!loginForm.valid"
        >
          Ingresar
        </button>
        <p class="mt-2 text-center">
          ¿No tienes una cuenta?
          <a (click)="goToRegister()" style="cursor: pointer">Regístrate</a>
        </p>
      </form>
    </div>
  </div>
</div>
